org.acplt.oncrpc

## Interface OncRpcAcceptStatus

    public interface OncRpcAcceptStatus

A collection of constants used to identify the acceptance status of ONC/RPC reply messages.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:39 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`static int` `ONCRPC_GARBAGE_ARGS` The server could not decode the arguments sent within the ONC/RPC call message.
`static int` `ONCRPC_PROC_UNAVAIL` The procedure requested is not available.
`static int` `ONCRPC_PROG_MISMATCH` A program version number mismatch occured.
`static int` `ONCRPC_PROG_UNAVAIL` The program requested is not available.
`static int` `ONCRPC_SUCCESS` The remote procedure was called and executed successfully.
`static int` `ONCRPC_SYSTEM_ERR` The server encountered a system error and thus was not able to process the procedure call.

### Field Detail

#### ONCRPC_SUCCESS

    static final int ONCRPC_SUCCESS

The remote procedure was called and executed successfully.

See Also:
  Constant Field Values

#### ONCRPC_PROG_UNAVAIL

    static final int ONCRPC_PROG_UNAVAIL

The program requested is not available. So the remote host does not export this particular program and the ONC/RPC server which you tried to send a RPC call message doesn't know of this program either.

See Also:
  Constant Field Values

#### ONCRPC_PROG_MISMATCH

    static final int ONCRPC_PROG_MISMATCH

A program version number mismatch occured. The remote ONC/RPC server does not support this particular version of the program.

See Also:
  Constant Field Values

#### ONCRPC_PROC_UNAVAIL

    static final int ONCRPC_PROC_UNAVAIL

The procedure requested is not available. The remote ONC/RPC server does not support this particular procedure.

See Also:
  Constant Field Values

#### ONCRPC_GARBAGE_ARGS

    static final int ONCRPC_GARBAGE_ARGS

The server could not decode the arguments sent within the ONC/RPC call message.

See Also:
  Constant Field Values

#### ONCRPC_SYSTEM_ERR

    static final int ONCRPC_SYSTEM_ERR

The server encountered a system error and thus was not able to process the procedure call. Causes might be memory shortage, desinterest and sloth.

See Also:
  Constant Field Values